Get prebilling consumption
curl --request GET \
--url https://api.gcore.com/fastedge/v1/admin/prebilling_consumption \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/admin/prebilling_consumption"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/admin/prebilling_consumption', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"total_pages": 123,
"current_page": 123,
"limit": 123
},
"data": [
{
"client_id": 123,
"date": "2023-12-25",
"subproduct": "<string>",
"metric_value": 123,
"metric_unit": "<string>",
"metric_name": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Billing
Get prebilling consumption
deprecated
GET
/
fastedge
/
v1
/
admin
/
prebilling_consumption
Get prebilling consumption
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Start date in yyyy-MM-dd format
End date in yyyy-MM-dd format
Limit for pagination
Offset for pagination
Was this page helpful?
⌘I